> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-reference-materials.md).

# Playbook Reference Materials

## GET /playbooks/{playbookIdentifier}/reference-materials

> Get all reference materials for a playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType"},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType":{"enum":["boolean","categories","decimal","dateTime","text","documents"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials":{"get":{"tags":["Playbook Reference Materials"],"summary":"Get all reference materials for a playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/reference-materials

> Create a new reference material for a playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialRequest":{"required":["name","type"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType"},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialCategoryRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType":{"enum":["boolean","categories","decimal","dateTime","text","documents"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialCategoryRequest":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType"},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials":{"post":{"tags":["Playbook Reference Materials"],"summary":"Create a new reference material for a playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.CreateReferenceMaterialRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}

> Get a specific reference material by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType"},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType":{"enum":["boolean","categories","decimal","dateTime","text","documents"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}":{"get":{"tags":["Playbook Reference Materials"],"summary":"Get a specific reference material by object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}

> Update an existing reference material for a playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.UpdateReferenceMaterialRequest":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType"},"booleanValue":{"type":"boolean","nullable":true},"isSourceDocuments":{"type":"boolean","nullable":true},"dateTimeValue":{"type":"string","format":"date-time","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"textValue":{"type":"string","nullable":true},"isLocked":{"type":"boolean"},"isRequired":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.PlaybookMarketplace.Constants.PlaybookReferenceMaterialType":{"enum":["boolean","categories","decimal","dateTime","text","documents"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialCategoryResponse":{"required":["name","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}":{"put":{"tags":["Playbook Reference Materials"],"summary":"Update an existing reference material for a playbook.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.UpdateReferenceMaterialRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.UpdateReferenceMaterialRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Requests.UpdateReferenceMaterialRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.ReferenceMaterials.Contracts.Responses.ReferenceMaterialResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}

> Delete a reference material from a playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse":{"type":"object","properties":{"isUsed":{"type":"boolean"},"usedInAssemblies":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/reference-materials/{objectIdentifier}":{"delete":{"tags":["Playbook Reference Materials"],"summary":"Delete a reference material from a playbook.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PromptUsageResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-reference-materials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
